API ReferenceReport
Export vacation report by user into xlsx file
GET
Export vacation report by user into xlsx file
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
userIds[]?array<>Ids of users that VacationReport is going to be returned for. If empty - return all possible.
vacationTypeIds[]?array<>Ids of VacationTypes. If empty - return all.
dateStart*stringFormat
date-timedateEnd*stringFormat
date-timesaveReport?booleanIf true, generated file will be saved as UserReport
Default
falsesaveReportName?stringName for saved report. Required if saveReport=true
Length
1 <= length <= 255saveReportDescription?stringDescription for saved report
Length
1 <= length <= 5000VacationReport collection
- response
[index: integer]?curl -X GET 'https://app.icproject.com/api/instance/demo/calendar/vacation-reports/by-user/xlsx?dateStart=2019-08-24T14%3A15%3A22Z&dateEnd=2019-08-24T14%3A15%3A22Z'Example Response
[ { "key": "string", "downloadUrl": "string" }]